Bug 506867 - Provide custom error page for HTTP STATUS 500
Provide custom error page for HTTP STATUS 500
Status: CLOSED ERRATA
Product: Dogtag Certificate System
Classification: Community
Component: Tomcat (Show other bugs)
unspecified
All Linux
high Severity medium
: ---
: ---
Assigned To: Jenny Galipeau
Chandrasekar Kannan
:
Depends On:
Blocks: 443788
  Show dependency treegraph
 
Reported: 2009-06-18 20:51 EDT by Matthew Harmsen
Modified: 2015-01-04 18:39 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-22 19:36:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Custom Error Page for HTTP STATUS 500 (3.41 KB, patch)
2009-06-19 13:45 EDT, Matthew Harmsen
no flags Details | Diff
Custom Error Page for HTTP STATUS 500 (dogtag) (47.06 KB, patch)
2009-06-19 13:45 EDT, Matthew Harmsen
no flags Details | Diff
screen shot of custom Error 404 page (106.89 KB, image/png)
2009-06-25 12:44 EDT, Jenny Galipeau
no flags Details

  None (edit)
Description Matthew Harmsen 2009-06-18 20:51:01 EDT
Similar to the feature described in Bugzilla Bug #502908, provide a custom error page for when HTTP STATUS 500 is encountered.
Comment 1 Matthew Harmsen 2009-06-19 13:45:13 EDT
Created attachment 348687 [details]
Custom Error Page for HTTP STATUS 500
Comment 2 Matthew Harmsen 2009-06-19 13:45:45 EDT
Created attachment 348688 [details]
Custom Error Page for HTTP STATUS 500 (dogtag)
Comment 4 Jack Magne 2009-06-19 14:28:47 EDT
Attachments (id=348687) (id=348688) +jmagne .
Comment 6 Matthew Harmsen 2009-06-19 15:01:04 EDT
cd pki/base

% svn status | grep -v ^$ | grep -v ^P | grep -v ^X | grep -v ^?
M      ca/shared/conf/web.xml
M      tks/shared/conf/web.xml
M      ra/apache/conf/httpd.conf
M      ra/lib/perl/PKI/RA/DonePanel.pm
M      ocsp/shared/conf/web.xml
M      tps/lib/perl/PKI/TPS/DonePanel.pm
M      tps/apache/conf/httpd.conf
M      kra/shared/conf/web.xml

% svn commit
Sending        base/ca/shared/conf/web.xml
Sending        base/kra/shared/conf/web.xml
Sending        base/ocsp/shared/conf/web.xml
Sending        base/ra/apache/conf/httpd.conf
Sending        base/ra/lib/perl/PKI/RA/DonePanel.pm
Sending        base/tks/shared/conf/web.xml
Sending        base/tps/apache/conf/httpd.conf
Sending        base/tps/lib/perl/PKI/TPS/DonePanel.pm
Transmitting file data ........
Committed revision 629.


cd pki/dogtag

% svn status | grep -v ^$ | grep -v ^P | grep -v ^X | grep -v ^?
A      ocsp-ui/shared/webapps/ocsp/500.html
M      ocsp-ui/dogtag-pki-ocsp-ui.spec
A      tps-ui/shared/docroot/500.html
M      tps-ui/dogtag-pki-tps-ui.spec
M      ca/pki-ca.spec
M      kra-ui/dogtag-pki-kra-ui.spec
A      kra-ui/shared/webapps/kra/500.html
A      ca-ui/shared/webapps/ca/500.html
M      ca-ui/dogtag-pki-ca-ui.spec
M      tks/pki-tks.spec
M      ra/pki-ra.spec
M      ocsp/pki-ocsp.spec
M      tps/pki-tps.spec
A      tks-ui/shared/webapps/tks/500.html
M      tks-ui/dogtag-pki-tks-ui.spec
M      kra/pki-kra.spec
A      ra-ui/shared/docroot/500.html
M      ra-ui/dogtag-pki-ra-ui.spec

% svn commit
Sending        dogtag/ca/pki-ca.spec
Sending        dogtag/ca-ui/dogtag-pki-ca-ui.spec
Adding         dogtag/ca-ui/shared/webapps/ca/500.html
Sending        dogtag/kra/pki-kra.spec
Sending        dogtag/kra-ui/dogtag-pki-kra-ui.spec
Adding         dogtag/kra-ui/shared/webapps/kra/500.html
Sending        dogtag/ocsp/pki-ocsp.spec
Sending        dogtag/ocsp-ui/dogtag-pki-ocsp-ui.spec
Adding         dogtag/ocsp-ui/shared/webapps/ocsp/500.html
Sending        dogtag/ra/pki-ra.spec
Sending        dogtag/ra-ui/dogtag-pki-ra-ui.spec
Adding         dogtag/ra-ui/shared/docroot/500.html
Sending        dogtag/tks/pki-tks.spec
Sending        dogtag/tks-ui/dogtag-pki-tks-ui.spec
Adding         dogtag/tks-ui/shared/webapps/tks/500.html
Sending        dogtag/tps/pki-tps.spec
Sending        dogtag/tps-ui/dogtag-pki-tps-ui.spec
Adding         dogtag/tps-ui/shared/docroot/500.html
Transmitting file data ..................
Committed revision 630.
Comment 8 Jenny Galipeau 2009-06-25 12:44:44 EDT
Created attachment 349424 [details]
screen shot of custom Error 404 page

Verified - see attached screen shot

Note You need to log in before you can comment on or make changes to this bug.